﻿* {
    margin: 0px;
    padding: 0px;
    font-family: 'Segoe UI', Arial;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
}




.background {
    width: 100%;
    height: 100%;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: fixed; /* Keeps background fixed in viewport */
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: -1; /* Just enough to stay behind everything */
}


.card {
    position: absolute;
    z-index: 10;
    background-color: #ffffff;
    left: 15%;
    padding: 24px 10px 10px 24px;
    width: 30rem;
    margin: 10% auto;
    border-radius: 5px;
    font-size: 1rem;
    display: flex;
    flex-direction:column;
    overflow: visible;
    pointer-events: auto;
    justify-items: left;
    justify-content: left;
    opacity: 0;
    transform: translateX(50px);
    pointer-events: none; /* prevent clicking hidden card */
    transition: opacity 0.3s ease, transform 0.3s ease;
}

    .card.show {
        opacity: 1;
        transform: translateX(0);
        pointer-events: auto;
    }

    /* Slide out to left when hiding */
    .card.hide-left {
        opacity: 0;
        transform: translateX(-50px);
    }

    /* Slide out to right when hiding */
    .card.hide-right {
        opacity: 0;
        transform: translateX(50px);
    }


.card h1{
    font-size: 2rem;
    margin:5px;
}

.card .form {
    justify-content: left;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    font-size: 0.5rem;
    gap: 1rem;
}

.card .layer {
    display:flow;
    justify-content:space-between;
    margin: 5px;
    margin-block-end:15px;
    width:100%;

}

.card label{
    font-size: 1rem;
}

.card span {
    font-size: 0.75rem;
}


.grid-form label {
    text-align: left;
    padding-top: 0.5rem;
}

/* Make inputs full width */
.form .textbox{
    width: 90%;
    padding: 0.5rem;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.form textarea {
    width: 90%;
    padding: 0.5rem;
    border: 1px solid #ccc;
    border-radius: 4px;
}

/* Span the button across both columns */
.form button {
    grid-column: 1 / -1;
    padding: 0.75rem;
    background-image: linear-gradient( 89deg, rgb(36,144,69) 0%, rgb(56,154,89) 50%, rgb(46,164,79) 100%);
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.form button:hover {
    background-image: linear-gradient( 89deg, rgb(16,124,49) 0%, rgb(36,134,69) 10%, rgb(26,144,59) 100%);
    border-radius: 8px;
}

main {
    flex: 1;
}


.card .actions {
    justify-content: left;
    display: flex;
    flex-direction: column;
    width: 80%;
    height: 100%;
    font-size: 0.5rem;
    gap: 1rem;
}

.card .actions button {
    grid-column: 1 / -1;
    padding: 0.75rem;
    background-image: linear-gradient( 89deg, rgb(36,144,69) 0%, rgb(56,154,89) 50%, rgb(46,164,79) 100%);
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}



@media (max-width: 768px) { /*PHONES AND SUCH*/


    .card {
        position: absolute;
        z-index: 10;
        background-color: #ffffff;
        left: 5%;
        padding: 24px 10px 10px 24px;
        width: 80%;
        margin: 10% 0%;
        border-radius: 5px;
        font-size: 1rem;
        display: flex;
        flex-direction:column;
        overflow: visible;
        pointer-events: auto;
        justify-items: left;
        justify-content: left;
        opacity: 0;
        transform: translateX(50px);
        pointer-events: none; /* prevent clicking hidden card */
        transition: opacity 0.3s ease, transform 0.3s ease;
        
    }
    
}